import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询服务器时间
export async function getNowDate() {
    return await request({
      url: '/daily/nowDate',
      method: 'get'
    })
  }

  // 查询日报提交状态(日报上传)
export function getStatus(userId) {
  return request({
    url: '/daily/status/' +parseStrEmpty(userId),
    method: 'get'
  })
}

  // 普通员工删除日报
  export function delAuthorizationDaily(userId,dateAt,projectId) {
    return request({
      url: '/daily/delAuthorizationDaily/' +parseStrEmpty(userId) + '/' + dateAt+'/'+projectId,
      method: 'get'
    })
  }

  // 超级管理员删除日报
  export function delDaily(userId,dateAt,projectId) {
    return request({
      url: '/daily/delDaily/' +parseStrEmpty(userId) + '/' + dateAt+'/'+projectId,
      method: 'get'
    })
  }

  // 查询日报提交状态（补传日报）
  export function getReSubmitStatus(userId,dateAt,projectId) {
    return request({
      url: '/daily/status/'+parseStrEmpty(userId)+'/' +parseStrEmpty(dateAt) + '/' + parseStrEmpty(projectId) +'/',
      method: 'get'
    })
  }

  // 查询项目编号
  export  function getProject(userId) {
    return request({
      url: '/daily/project/' +parseStrEmpty(userId),
      method: 'get'
    
    })
  }

  // 设置日报状态
  export function setDailyStatus(userId,projectId,dateAt) {
    return request({
      url: '/daily/status/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'post'
    })
  }

  // 设置补交日报状态
  export function setDailyRebStatus(userId,projectId,dateAt) {
    return request({
      url: '/daily/statusReb/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'post'
    })
  }
  
  // 上传日报内容
  export function setDailyInfo(jsona) {
    return request({
      url: '/daily/info/',
      method: 'post',
      data:jsona
    })
  }

  // 授权补传日报
  export function authorized(userId,perm,dateArr) {
    return request({
      url: '/daily/authorizedPerm/'+parseStrEmpty(userId)+'/'+parseStrEmpty(perm)+'/'+parseStrEmpty(dateArr),
      method: 'get'
    })
  }

  // 查询是否有（删除|补交）按钮权限
  export function queryBtn(userId,perm,dateAt) {
    return request({
      url: '/daily/authorizedButton/'+parseStrEmpty(userId)+'/'+parseStrEmpty(perm)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  //
  export function queryDateList(userId,perm) {
    return request({
      url: '/daily/authorizedList/'+parseStrEmpty(userId)+'/'+parseStrEmpty(perm),
      method: 'get'
    })
  }

// 查询b1表内容
export function getB1(userId,dateAt) {
  return request({
    url: '/daily/getB1/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
    method: 'get'
  })
}
// 查询b2表内容
export function getB2(userId,dateAt) {
  return request({
    url: '/daily/getB2/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
    method: 'get'
  })
}
  // 查询b3表内容
  export function getB3(userId,dateAt) {
    return request({
      url: '/daily/getB3/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }
      // 查询b4表内容
      export function getB4(userId,dateAt) {
        return request({
          url: '/daily/getB4/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
          method: 'get'
        })
      }
          // 查询b6表内容
  export function getB6(userId,dateAt) {
    return request({
      url: '/daily/getB6/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }
      // 查询b7表内容
      export function getB7(userId,dateAt) {
        return request({
          url: '/daily/getB7/' +parseStrEmpty(userId)+'/'+parseStrEmpty(dateAt),
          method: 'get'
        })
      }
          // 查询b8表内容
  export function getB8(userId,dateAt) {
    return request({
      url: '/daily/getB8/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }
      // 查询b9表内容
      export function getB9(userId,dateAt) {
        return request({
          url: '/daily/getB9/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
          method: 'get'
        })
      }
          // 查询b10表内容
  export function getB10(userId,dateAt) {
    return request({
      url: '/daily/getB10/' +parseStrEmpty(userId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }
      // 查询b11表内容
      export function getB11(userId,dateAt) {
        return request({
          url: '/daily/getB11/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
          method: 'get'
        })
      }
          // 查询b12表内容
  export function getB12(userId,dateAt) {
    return request({
      url: '/daily/getB12/' +parseStrEmpty(userId) +'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }
            // 查询b13表内容
            export function getB13(userId,dateAt) {
              return request({
                url: '/daily/getB13/' +parseStrEmpty(userId)+'/'+parseStrEmpty(dateAt),
                method: 'get'
              })
            }
              // 查询b14表内容
              export function getB14(userId,dateAt) {
                return request({
                  url: '/daily/getB14/' +parseStrEmpty(userId)+'/'+parseStrEmpty(dateAt),
                  method: 'get'
                })
              }
              // 查询b15表内容
              export function getB15(userId,dateAt) {
                return request({
                  url: '/daily/getB15/' +parseStrEmpty(userId)+'/'+parseStrEmpty(dateAt),
                  method: 'get'
                })
              }
              
              // 导出 by Paul 2023-4-28
              export function getExportDailyFromTo(userId,dateReion) {
                return request({
                  url: '/daily/export/' + userId + '/' + dateReion,
                  method: 'get'
                })
              }